use crate::{
    datatypes::{angle::Angle, length::Length},
    turtle::TurtleCommand,
};

#[allow(dead_code)]
pub fn geometry_task() -> Vec<TurtleCommand> {
    vec![
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Backward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(45.)),
        //TurtleCommand::PenUp,
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(50.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(50.)),
        TurtleCommand::Right(Angle::degrees(45.)),
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Left(Angle::degrees(120.)),
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Left(Angle::degrees(120.)),
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(150.)),
        TurtleCommand::Forward(Length(100.)),
    ]
}
